Bug 1426559 - heal info is not giving correct output
Summary: heal info is not giving correct output
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: disperse
Version: rhgs-3.2
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS 3.2.0
Assignee: Pranith Kumar K
QA Contact: nchilaka
URL:
Whiteboard:
Depends On: 1414287 1415082
Blocks: 1351528
TreeView+ depends on / blocked
 
Reported: 2017-02-24 10:00 UTC by Pranith Kumar K
Modified: 2017-03-23 06:05 UTC (History)
12 users (show)

Fixed In Version: glusterfs-3.8.4-16
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1406322
Environment:
Last Closed: 2017-03-23 06:05:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Comment 3 Atin Mukherjee 2017-02-24 10:21:18 UTC
upstream patch : https://review.gluster.org/#/c/16468/

Comment 6 nchilaka 2017-03-08 08:47:19 UTC
QATP: build 3.8.4-17:
1) ran continuous IO to a file, not seeing the entry of the file in heal info anymore(previously we used to see in heal info even though no heal was required) ==>pass
2)Ran kernel untar when all bricks up, and heal info didnt show any spurious entry of the file being untarred ==>pass
3)turned off selfhealdeamon: named lookups will only heal the name and should not heal any of the entry or data or metadata healing -->pass


hence moving to verified

Comment 8 errata-xmlrpc 2017-03-23 06:05:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.